# class toTemplateText | This class represent a template item that have an extra text to describe it if it is selected. More...
Definition | `#include <totemplate.h>`
Inherits | toTemplateItem [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toTemplateText (toTemplateItem *parent,const QString &name,const QString ¬e)
- virtual QWidget * selectedWidget (QWidget *parent)

## Detailed Description

This class represent a template item that have an extra text to describe it if it is selected.

toTemplateText (toTemplateItem *parent,const QString &name,const QString ¬e) | ### toTemplateText

Create an item.

Parameters:

parent | Parent of this item.
name | Contents of the first column of the item.
note | Extra text to display if item is selected.

QWidget * selectedWidget (QWidget *parent) | ### selectedWidget

[virtual]

Reimplemented for internal reasons.

Reimplemented from toTemplateItem.